Loading...
Searching...
No Matches
Dune::cpgrid::Geometry< mydim, cdim > Class Template Reference

This class encapsulates geometry for vertices, intersections, and cells. More...

`#include <Geometry.hpp>`

## Detailed Description

template<int mydim, int cdim>
class Dune::cpgrid::Geometry< mydim, cdim >

This class encapsulates geometry for vertices, intersections, and cells.

The main template is empty, the actual dim == 3 (cell), dim == 2 (intersection), and dim == 0 (vertex) cases have specializations. For vertices and cells we use the cube type, and provide constant (vertex) or trilinear (cell) mappings. For intersections, we use the singular geometry type (None), and provide no mappings.

The documentation for this class was generated from the following file:

- opm/grid/CpGrid.hpp